
/*When the button is pressed, the LDR checks the intensity of the light.
 * The Green LED turns on when there is light.
 * THe Red LED turns on when it is dark. 
 */

#define LDRpin A2 // pin where we connected the LDR and the resistor

// constants won't change. 
//They're used here to set pin numbers:
const int Red_LED_PIN = 3;
const int Green_LED_PIN = 8;
const int  buttonPin = 7;

//Those are used for constant values 
const int LightDarkValue = 500;
const int MaxNum = 100;
const int BlinkNum = 1;

// variables will change:
int LDRValue = 0;
int LDRDiff = 0;
int buttonState = 0;
int DelayTime = 0;
 


void setup() 
{
 
// initialize the pushbutton pin as an input:
  pinMode(buttonPin, INPUT);
// initialize digital pin Red_LED as an output.
  pinMode(Red_LED_PIN, OUTPUT);
 // initialize digital pin Green_LED as an output.
 pinMode(Green_LED_PIN, OUTPUT);
}

void loop() 
{

  // read the state of the pushbutton value:
  buttonState = digitalRead(buttonPin);
  // check if the pushbutton is pressed.
  // if it is, the buttonState is HIGH:
  if (buttonState == HIGH) 
  {
    for (int i=0; i<=MaxNum; i++)
    {
      LDRValue = analogRead(LDRpin);  // read the value from the LDR
      LDRDiff = abs(LDRValue - LightDarkValue);//subtract from the threshhold number and give result in absolute value
      DelayTime = map(LDRDiff, 0, LightDarkValue, 1000, 0);// map the numbers between 0 and 1000 to have a max of 1000ms as delay time
      if (LDRValue >LightDarkValue)
      {
        for (int i=0; i<=BlinkNum; i++)
        {
          digitalWrite(Green_LED_PIN, HIGH);   // turn the Red LED on (HIGH is the voltage level)
          digitalWrite(Red_LED_PIN, LOW);    // turn the Green LED off by making the voltage LOW
          delay(DelayTime); // wait for a number of seconds equals to calculated delay time.
          digitalWrite(Green_LED_PIN, LOW);    // turn the LED off by making the voltage LOW
          delay(DelayTime); // wait for a number of seconds equals to calculated delay time.
          }
      }
      else
      {
        for (int i=0; i<=BlinkNum; i++)
          {
            digitalWrite(Red_LED_PIN, HIGH);   // turn the Red LED on (HIGH is the voltage level)
            digitalWrite(Green_LED_PIN, LOW);    // turn the Green LED off by making the voltage LOW
            delay(DelayTime); // wait for a number of seconds equals to calculated delay time.
            digitalWrite(Red_LED_PIN, LOW);    // turn the LED off by making the voltage LOW
            delay(DelayTime); // wait for a number of seconds equals to calculated delay time.
          }
          }
          }
    }
          else
          {
            digitalWrite(Red_LED_PIN, LOW);   // turn the Red LED off (LOW is the voltage level)
            digitalWrite(Green_LED_PIN, LOW);    // turn the Green LED off by making the voltage LOW                    
  }
}
